$! GX.COM August 1989

$ set noverify
$ define gx$dir sys$sysdevice:[x_ray.gx.1985]
$ kflag="K"
$! if not batch mode set kflag to F (FILE)
$ if f$mode() .eqs. "BATCH" then goto intstart
$ kflag="F"
$ intstart:
$      on control_y then goto finish
$      on error then goto finish
$!
$ if kflag .eqs. "K"
$    then module=p2
$    goto proglist
$ endif
$ next_command:
$ type sys$input

CAD4 (conventional CAD4 data reduction)  
STAND (analysis of standard reflections)
DREAM (Bob Blessing's data reduction for electron density studies)
DIFABS (empirical absorption correction)   
ABSORB (Gaussian absorption correction) 
SORT (reflection data sort and average)  
MITHRIL (multi-solution direct methods)
XYZ (operations on the model file >>>>> Changed February, 1993)
HYDEX (place H atoms in potential well)
MAPS (FFT and peak search or slant plane Fourier and contour map)
BLOCK (block-diagonal least squares structure refinement)
RBLS or BIGRBLS (full-matrix structure refinement)
MOLLY (multipole refinement)
WTANAL (analysis of least squares weights)
FTAB (publication structure factor listing)
GEOM (molecular and inter-molecular geometry, atom parameter tables)
ORTEP (interactive drawing of structures)
THMI (thermal TLS analysis)
RENAME (interchange GX system files)
SCFS (read/write standard crystallographic file structure)
CHECKLIST (crystal data table)

$ inquire module "GX program name? (exit or <cr> to quit)"
$ proglist:
$ if module .eqs. "" then goto out
$ if module .eqs. "GEOM" then goto gxgeom
$ if module .eqs. "WTANAL" then goto gxwtanal
$ if module .eqs. "FTAB" then goto gxftab
$ if module .eqs. "RBLS" then goto gxrbls
$ if module .eqs. "BIGRBLS" then goto gxrbls
$ if module .eqs. "RENAME" then goto gxrename
$ if module .eqs. "CAD4" then goto gxcad4
$ if module .eqs. "STAND" then goto gxstand
$ if module .eqs. "BLOCK" then goto gxblock
$ if module .eqs. "MAPS" then goto gxmaps
$ if module .eqs. "SORT" then goto gxsort
$ if module .eqs. "MITHRIL" then goto gxmithril
$ if module .eqs. "XYZ" then goto gxxyz
$ if module .eqs. "DIFABS" then goto gxdifabs
$ if module .eqs. "DREAM" then goto not_installed
$ if module .eqs. "ABSORB" then goto gxabsorb
$ if module .eqs. "HYDEX" then goto gxhydex
$ if module .eqs. "MOLLY" then goto not_installed
$ if module .eqs. "ORTEP" then goto gxortep
$ if module .eqs. "SCHAKAL" then goto not_installed
$ if module .eqs. "THMI" then goto gxthmi
$ if module .eqs. "SCFS" then goto gxscfs
$ if module .eqs. "CHECKLIST" then goto gxchecklist
$ if module .eqs. "EXIT" then goto out
$ goto exit
$ gxscfs:
$ fil=p1
$ ma=fil+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ ma=fil+".FO"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ assign/user 'fil'.MA for001
$ assign/user 'fil'.SCFS for007
$ assign/user 'fil'.FO for002
$ assign/user gx$dir:databank.dat for010
$ assign/user sys$output for006
$ run gx$dir:scfs
$ write sys$output "Finished SCFS"
$ goto finish
$ gxthmi:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for003
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for003
$       else
$! interactive
$           assign/user sys$command for003
$       endif
$    else
$       assign/user sys$command for003
$    endif
$ endif
$ assign/user 'fil'.MA for015
$ assign/user 'module'.LIS sys$output
$ run gx$dir:thmi
$ goto finish
$ gxstand:
$ fil=p1
$ ma=fil+".ST"
$ pchek=f$search(ma)
$! check if file exists
$ if pchek .eqs. "" then goto error
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for006
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for006
$    else
$       assign/user 'module'.LIS for006
$    endif
$ endif
$! keyboard only operation
$ assign/user sys$command for005
$ assign/user 'ma' for001
$ assign/user sys$output for004
$ run gx$dir:stand
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished STAND"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxmithril:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ assign/user SCRA:[MITHRIL]NTAPE.j for001
$ assign/user sys$output for003
$ assign/user sys$output for004
$ assign/user 'fil'.MA for016
$ assign/user SCRA:[MITHRIL]NTAPE.a for008
$ assign/user SCRA:[MITHRIL]NTAPE.b for009
$ assign/user SCRA:[MITHRIL]NTAPE.c for010
$ assign/user 'fil'.PH for011
$ assign/user SCRA:[MITHRIL]NTAPE.e for012
$ assign/user SCRA:[MITHRIL]NTAPE.f for013
$ assign/user 'fil'.FO for014
$ assign/user SCRA:[MITHRIL]NTAPE.g for015
$ assign/user 'fil'.PK for017
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for006
$ else
$    inquire yesno "Print results? (y)"
$    if yesno .eqs. "N"
$       then assign/user sys$output for006
$    else
$       assign/user 'module'.LIS for006
$    endif
$ endif
$ run gx$dir:mithril
$ if kflag .eqs. "K" then goto finish
$! if yesno .nes. "N" then print 'module'.LIS 
$ delete SCRA:[MITHRIL]NTAPE.*;*
$ goto finish
$ gxrename:
$ fil=p1
$ in=p3
$ if in .eqs. "" then inquire in "From?"
$ out=p4
$ if out .eqs. "" then inquire out "To?"
$ plus51:
$ ma=fil+"."+in
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ from=ma
$ ma=fil+"."+out
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto plus50
$ if in .eqs. "BK" then goto plus50
$! ok got the files
$ to=fil+".BK"
$ if f$search(to) .nes. "" then delete 'to';*
$ rename 'ma' 'to'
$ plus50:
$ to=ma
$ if in .nes. "BK" then goto plus60
$ copy 'from' 'to'
$ goto plus61
$ plus60:
$ rename 'from' 'to'
$ plus61:
$ write sys$output " RENAME of ''from' to ''to' complete"
$ goto finish
$ gxcad4:
$! inquire yesno "Is this from the PDP8 CAD4? (n)"
$! if yesno .eqs. "Y" then run gx$dir:bit8
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for006
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for006
$    else
$       assign/user 'module'.LIS for006
$    endif
$ endif
$ fil=p1
$ assign/user sys$command for005
$ assign/user 'fil'.FO for001
$ assign/user sys$output for002
$ assign/user 'fil'.OST for003
$! assign/user CAD4.MT for004
$ assign/user 'fil'_col.dat for004
$ assign/user 'fil'.ST for007
$ assign/user 'fil'.OFO for008
$ run gx$dir:cad4
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished CAD4"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxwtanal:
$ fil=p1
$ ma=fil+".FC"
$ pchek=f$search(ma)
$! check if file exists
$ if pchek .eqs. "" then goto error
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for003
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for003
$    else
$       assign/user 'module'.LIS for003
$    endif
$ endif
$! keyboard only operation
$ assign/user sys$command for005
$ assign/user 'ma' for017
$ run gx$dir:wtanal
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished WTANAL"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxftab:
$ fil=p1
$ ma=fil+".FC"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for003
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for003
$    else
$       assign/user 'module'.LIS for003
$    endif
$ endif
$! keyboard only operation
$ assign/user sys$command for002
$ assign/user sys$output for006
$ assign/user 'fil'.FC for017
$ assign/user 'module'.tmp for018
$ run gx$dir:ftab
$ delete *.tmp;*
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished FTAB"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxmaps:
$! run FFT and SEARCH
$! default qualifiers .MA,in,fc
$ fil=p1
$ ma=fil+".FC"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ ma=fil+".MA"
$ if f$search(ma) .eqs. "" then goto error
$ inquire yesno "Have you remembered to RENAME ''fil'.MB? (y)"
$ if yesno .eqs. "N" then goto finish
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire ans "use ''in'? (n)"
$       if ans .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$   then assign/user FFT.LIS for007
$ else
$   inquire yesno "Print results? (n)"
$   if yesno .nes. "Y"
$       then assign/user sys$output for007
$   else
$       assign/user FFT.LIS for007
$   endif
$ endif
$ assign/user 'fil'.MA for009
$ assign/user 'fil'.FC for011
$ assign/user 'fil'.tf for013
$ assign/user gx$dir:databank.dat for010
$ assign/user 'module'.tmp for008
$ assign/user sys$output for006
$ run gx$dir:fft
$ delete 'module'.tmp;*
$ if kflag .eqs. "F" then write sys$output "Finished FFT- now running SEARCH"
$! SEARCH
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then if ans .eqs. "Y" 
$                then assign/user 'fil'.in for005
$            else
$! interactive
$                assign/user sys$command for005
$            endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for007
$ else
$    if yesno .nes. "Y"
$       then assign/user sys$output for007
$    else
$       assign/user 'module'.LIS for007
$    endif
$ endif
$ assign/user 'fil'.MA for001
$ assign/user 'fil'.MB for014
$ assign/user 'fil'.tf for013
$ assign/user gx$dir:databank.dat for010
$ assign/user sys$output for006
$ run gx$dir:search
$ delete 'fil'.tf;*
$ if kflag .eqs. "K" then goto finish
$! if yesno .eqs. "Y" 
$!    then print FFT.LIS
$!    print 'module'.LIS
$! endif
$ write sys$output "Finished MAPS"
$ goto finish
$ gxblock:
$ fil=p1
$ ma=fil+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ ma=fil+".FO"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$        else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for003
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for003
$    else
$       assign/user 'module'.LIS for003
$    endif
$ endif
$ assign/user 'fil'.MA for002
$ assign/user 'fil'.MB for004
$ assign/user 'fil'.FC for017
$ assign/user 'fil'.FO for050
$ assign/user gx$dir:databank.dat for010
$ assign/user sys$output for006
$ run gx$dir:block
$ if kflag .eqs. "K" then goto finish
$! if yesno .eqs. "Y" then print 'module'.LIS
$ write sys$output "Finished BLOCK"
$ goto finish
$ gxrbls:
$ fil=p1
$ ma=fil+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ ma=fil+".FO"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for002
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for002
$       else
$! interactive
$           assign/user sys$command for002
$       endif
$    else
$       assign/user sys$command for002
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for003
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for003
$    else
$       assign/user 'module'.LIS for003
$    endif
$ endif
$ assign/user 'fil'.MA for008
$ assign/user 'fil'.MB for004
$ assign/user 'fil'.FC for017
$ assign/user 'fil'.FO for016
$ assign/user gx$dir:databank.dat for010
$ assign/user sys$output for006
$ assign/user 'fil'.MX for020
$ if module .eqs. "RBLS"
$    then run gx$dir:rbls
$ else
$    run gx$dir:rbls
$ endif
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished RBLS"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxgeom:
$ fil=p1
$ ma=fil+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for001
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for001
$       else
$! interactive
$           assign/user sys$command for001
$       endif
$    else
$       assign/user sys$command for001
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for003
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for003
$    else
$       assign/user 'module'.LIS for003
$    endif
$ endif
$ assign/user 'fil'.TB for002
$ assign/user 'fil'.MA for016
$ assign/user 'fil'.mx for020
$ assign/user gx$dir:databank.dat for010
$ run gx$dir:geom
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished GEOM"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxsort:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for007
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for007
$    else
$       assign/user 'module'.LIS for007
$    endif
$ endif
$! keyboard only operation
$ assign/user sys$command for005
$ assign/user 'ma' for001
$ assign/user 'fil'.FO for002
$ assign/user 'fil'.tf for004
$ assign/user gx$dir:databank.dat for010
$ run gx$dir:sort
$ if kflag .eqs. "F"
$    then write sys$output "Finished SORT"
$!     if yesno .eqs. "Y" then print 'module'.LIS
$ endif
$ in="tf"
$ out="FO"
$ goto plus51
$ gxxyz:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for007
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for007
$    else
$       assign/user 'module'.LIS for007
$    endif
$ endif
$ assign/user 'ma' for001
$ assign/user 'fil'.MB for002
$ assign/user gx$dir:databank.dat for010
$ run gx$dir:xyz
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished XYZ"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxortep:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ assign/user sys$command for007
$ assign/user 'module'.LIS for009
$ assign/user 'ma' for016
$ assign/user 'fil'.OC for001
$ assign/user 'fil'.SV for003
$ assign/user gx$dir:databank.dat for010
$! assign/user TT: SCREEN
$ assign/user DECW$DISPLAY SCREEN
$ assign/user 'fil'.PS PLOTTER
$ assign/user GKS.LIS errorfile
$ run gx$dir:ortep
$ if kflag .eqs. "K" then goto finish
$ inquire yesno "Keep log of instructions performed? (n)" 
$ if yesno .nes. "Y" then delete ORTEP.LIS;*
$ goto finish
$ gxhydex:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for006
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for006
$    else
$       assign/user 'module'.LIS for006
$    endif
$ endif
$ assign/user 'ma' for020
$ assign/user gx$dir:databank.dat for010
$ assign/user 'fil'.mb for021
$ assign/user sys$output for004
$ run gx$dir:hydex
$ if kflag .eqs. "K" then goto finish
$ write sys$output "Finished HYDEX"
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ gxdifabs:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y"
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for008
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for008
$    else
$       assign/user 'module'.LIS for008
$    endif
$ endif
$ assign/user 'ma' for001
$ assign/user gx$dir:databank.dat for010
$ assign/user 'fil'.tf for003
$ assign/user 'fil'.fc for002
$ assign/user 'fil'.tm for004
$ run gx$dir:difabs
$ delete 'fil'.tm;*
$ if kflag .eqs. "K" then goto thru
$! if yesno .eqs. "Y" then print 'module'.LIS
$ thru:
$ in="tf"
$ out="FO"
$ goto plus51
$ gxabsorb:
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ fo=fil+".FO"
$ pchek=f$search(fo)
$ if pchek .eqs. ""
$    then ma=fo
$    goto error
$ endif
$ in=fil+".IN"
$ pchek=f$search(in)
$ if kflag .nes. "F"
$! batch mode
$    then if pchek .nes. "" 
$       then assign/user 'fil'.in for005
$    else
$       ma=in
$       goto error
$    endif
$ else
$    if pchek .nes. ""
$       then inquire yesno "use ''in'? (n)"
$       if yesno .eqs. "Y" 
$           then assign/user 'fil'.in for005
$       else
$! interactive
$           assign/user sys$command for005
$       endif
$    else
$       assign/user sys$command for005
$    endif
$ endif
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for008
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for008
$    else
$       assign/user 'module'.LIS for008
$    endif
$ endif
$ assign/user 'ma' for001
$ assign/user gx$dir:databank.dat for010
$ assign/user 'fil'.FO for002
$ assign/user 'fil'.tf for004
$ run gx$dir:absorb
$ if kflag .eqs. "K" then goto thru
$! if yesno .eqs. "Y" then print 'module'.LIS 
$ goto thru
$ gxchecklist:
$ if kflag .eqs. "F" then write sys$output -
     "NOTE! This program assumes correct cell CONTENTS"
$ fil=p1
$ ma=fil
$ ma=ma+".MA"
$ pchek=f$search(ma)
$ if pchek .eqs. "" then goto error
$ if kflag .eqs. "K" 
$    then assign/user 'module'.LIS for006
$ else
$    inquire yesno "Print results? (n)"
$    if yesno .nes. "Y"
$       then assign/user sys$output for006
$    else
$       assign/user 'module'.LIS for006
$    endif
$ endif
$! keyboard only operation
$ assign/user sys$command for005
$ assign/user 'ma' for007
$ assign/user gx$dir:databank.dat for010
$ run gx$dir:checklist
$ if kflag .eqs. "K" then goto finish
$! if yesno .eqs. "Y" then print 'module'.LIS
$ goto finish
$ exit: write sys$output module,"? No such option"
$ goto finish
$ error: write sys$output "file ",ma," not found"
$ goto finish
$ not_installed: write sys$output module," not yet installed"
$ finish:
$ purge/keep=1 'fil'.*
$ if kflag .eqs. "F"
$   then inquire dummy "press <cr> to continue" 
$ goto next_command
$ endif    
$ out:
$ exit
